<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    app:theme="@style/Theme.Default">

    <LinearLayout
        android:id="@+id/inputLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="?attr/chatBGnText"
        android:gravity="bottom|center_vertical"
        android:orientation="horizontal"
        android:paddingStart="8dp"
        android:paddingTop="8dp"
        android:paddingEnd="8dp"
        android:paddingBottom="9dp">

        <ImageView
            android:id="@+id/chatMic"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="bottom"
            android:layout_marginEnd="8dp"
            android:layout_weight="2.5"
            android:background="@drawable/chat_primary_background"
            android:padding="4dp"
            android:visibility="gone"
            app:srcCompat="@drawable/ic_mic_52dp" />

        <EditText
            android:id="@+id/queryEditText"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="16"
            android:background="@drawable/chat_edit_text_bg"
            android:includeFontPadding="false"
            android:inputType="text"
            android:paddingStart="16dp"
            android:paddingTop="8dp"
            android:paddingEnd="4dp"
            android:paddingBottom="8dp"
            android:textSize="14sp" />

        <ImageView
            android:id="@+id/sendBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp"
            app:srcCompat="@drawable/chatbot_send_btn" />

    </LinearLayout>

    <ScrollView
        android:id="@+id/chatScrollView"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/inputLayout"
        android:layout_below="@+id/toolbar"
        android:fillViewport="true">

        <LinearLayout
            android:id="@+id/chatLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"></LinearLayout>


    </ScrollView>

<!--    <androidx.appcompat.widget.Toolbar-->
<!--        android:id="@+id/toolbar"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="?attr/actionBarSize"-->
<!--        android:layout_alignParentTop="true"-->
<!--        android:background="?attr/chatPrimaryMenuBar"-->
<!--        android:elevation="4dp"-->
<!--        android:theme="@style/toolBarTheme"-->
<!--        app:popupTheme="@style/ThemeOverlay.AppCompat.Dark"-->
<!--        app:title="Mobo" />-->

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@android:color/white"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="50dp"
                    android:layout_height="50dp"
                    android:src="@drawable/ic_toolbar_icon" />
                <LinearLayout android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="2dp"
                    android:orientation="vertical">
                    <TextView
                        android:id="@+id/toolbar_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="left"
                        android:layout_marginStart="8dp"
                        android:text="Mobo"
                        android:textColor="#000"
                        android:textSize="16dp"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/toolbar_sub_title"
                        android:layout_width="238dp"
                        android:layout_height="43dp"
                        android:layout_gravity="left"
                        android:layout_marginLeft="13dp"
                        android:text="Your personal assistant"
                        android:textColor="#000"
                        android:textSize="18dp" />
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </androidx.appcompat.widget.Toolbar>
</RelativeLayout>
